# API Reference

{% hint style="warning" %}
The API endpoint for this service is: **<https://api.yoghurtbot.net>**
{% endhint %}

## Generates a solution for obtaining a reese84 cookie

> Solves the Incapsula/Imperva reese84 challenge. Please note that you must submit the solution to the Incapsula endpoint to obtain a reese84 cookie

```json
{"openapi":"3.0.0","info":{"title":"Incapsula API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.yoghurtbot.net","description":"Production server"}],"paths":{"/incapsula/reese84":{"post":{"parameters":[{"$ref":"#/components/parameters/XApiKeyHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["incapsula_url","page_url","user_agent","script_b64"],"properties":{"incapsula_url":{"type":"string","description":"The URL of the Incapsula script"},"page_url":{"type":"string","description":"The URL of page that served the Incapsula block"},"user_agent":{"type":"string","description":"The User Agent you are using"},"script_b64":{"type":"string","description":"The base64 encoded content of the Incapsula script"},"pow":{"type":"string","description":"POW Challenge Data. Not required for all sites, please contact support for guidance"}}}}}},"summary":"Generates a solution for obtaining a reese84 cookie","description":"Solves the Incapsula/Imperva reese84 challenge. Please note that you must submit the solution to the Incapsula endpoint to obtain a reese84 cookie","responses":{"200":{"description":"Successful reese84 solution was generated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"userAgent":{"type":"string","description":"Browser user agent"},"reese84Payload":{"type":"object","description":"Complete URL for submitting the solved captcha","properties":{"solution":{"type":"object","nullable":true,"description":"The generated solution data, ready to submit to the Incapsula reese84 endpoint","properties":{"interrogation":{"type":"object","nullable":true,"properties":{"p":{"type":"string"},"st":{"type":"integer","format":"int64"},"sr":{"type":"integer","format":"int64"},"cr":{"type":"integer","format":"int64"},"og":{"type":"integer"}}},"version":{"type":"string"}}},"old_token":{"type":"string"},"error":{"type":"string","nullable":true},"performance":{"type":"object","nullable":true,"properties":{"interrogation":{"type":"integer"}}}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"error":{"type":"string","description":"Error message explaining what went wrong"}}}}}}},"tags":["reese84"]}}},"components":{"parameters":{"XApiKeyHeader":{"in":"header","name":"x-api-key","required":true,"schema":{"type":"string"}}}}}
```

{% openapi src="<https://247206371-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9SOK2vRfVrff5bXffY0t%2Fuploads%2FkxbFqT7LA9K6hStFzY5s%2Fopenapi%20(9).json?alt=media&token=a2e0fdfe-c0cd-4a59-9e5e-be58d0ec76fb>" path="/incapsula/utmvc" method="post" %}
[openapi (9).json](https://247206371-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9SOK2vRfVrff5bXffY0t%2Fuploads%2FkxbFqT7LA9K6hStFzY5s%2Fopenapi%20\(9\).json?alt=media\&token=a2e0fdfe-c0cd-4a59-9e5e-be58d0ec76fb)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.yoghurtbot.net/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
